Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMOclType

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

Direct Known Subclasses:
  `ASMModelElement`, `ASMOclParametrizedType`, `ASMOclSimpleType`, `ASMTupleType`

    public abstract class ASMOclType
    extends ASMOclAny

### Field Summary

Fields
`static ASMOclType` `myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASMOclType​(ASMOclType type)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`void` `addSupertype​(ASMOclType supertype)`
`abstract ASMBoolean` `conformsTo​(ASMOclType other)`
`static ASMBoolean` `conformsTo​(StackFrame frame, ASMOclType self, ASMOclType other)`
`ASMOclAny` `get​(StackFrame frame, java.lang.String name)`
`abstract java.lang.String` `getName()`
`static ASMString` `getName​(StackFrame frame, ASMOclType self)`
`java.util.List` `getSupertypes()`
`static java.util.Map` `getVMOperations()`
`static void` `registerHelperAttribute​(StackFrame frame, ASMOclType self, ASMString name, ASMString initOperationName)`
`void` `registerVMOperation​(Operation op)`
`static void` `registerWeavingHelper​(StackFrame frame, ASMOclType self, ASMString name, ASMOclAny persistTo)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### myType

    public static ASMOclType myType

### Constructor Detail

#### ASMOclType

    public ASMOclType​(ASMOclType type)

### Method Detail

#### getVMOperations

    public static java.util.Map getVMOperations()

#### registerVMOperation

    public void registerVMOperation​(Operation op)

#### addSupertype

    public void addSupertype​(ASMOclType supertype)

#### getSupertypes

    public java.util.List getSupertypes()

#### conformsTo

    public abstract ASMBoolean conformsTo​(ASMOclType other)

#### getName

    public abstract java.lang.String getName()

#### get

    public ASMOclAny get​(StackFrame frame,
                         java.lang.String name)

Overrides:
  `get` in class `ASMOclAny`
See Also:
  `ASMOclAny.get(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String)`

#### getName

    public static ASMString getName​(StackFrame frame,
                                    ASMOclType self)

#### conformsTo

    public static ASMBoolean conformsTo​(StackFrame frame,
                                        ASMOclType self,
                                        ASMOclType other)

#### registerHelperAttribute

    public static void registerHelperAttribute​(StackFrame frame,
                                               ASMOclType self,
                                               ASMString name,
                                               ASMString initOperationName)

#### registerWeavingHelper

    public static void registerWeavingHelper​(StackFrame frame,
                                             ASMOclType self,
                                             ASMString name,
                                             ASMOclAny persistTo)